.body {
  height: 100vh;
  width: 100%;
}

.contenedor-seleccion {
  height: 100%;
  display: flex;
  flex-wrap: nowrap;
}

/* Descripción - Parte fija */
.descripcion-fija {
  width: 50%;
  height: 100%;
  background-image: url("/media/club-selection/vector-principal.svg");
  background-repeat: no-repeat;
  background-position: right 0;
  background-size: cover;
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.descripcion-fija h2 {
  font-weight: 600;
  font-size: 6rem;
  line-height: 6.5rem;
  text-align: left;
}

.descripcion-fija p {
  font-weight: 400;
}

/* Selección de club - Parte movible */
.club-elegido {
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.item {
  width: 500px;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  font-weight: 600;
  font-size: 3rem;
  line-height: 4rem;
  text-align: center;
  color: #16377b;
  margin-top: 40px;
}

.item .escudo {
  border-radius: 50%;
  border: solid 8px #16377b;
  width: 300px;
  height: 300px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 50px;
  margin: 40px;
}

.item .boton-club {
  background-color: #16377b;
  border-radius: 30px;
  padding: 15px 150px;
  color: white;
  text-decoration: none;
  font-style: normal;
  font-weight: 500;
  font-size: 1.25rem;
  line-height: normal;
}

@media (min-width: 992px) {
  .only-desk {
    display: block;
  }

  .only-mobile {
    display: none;
  }

  /* Descripción - Parte fija */
  .descripcion-fija {
    padding-top: 80px;
    padding-left: 7.5vw;
  }

  .descripcion-fija p {
    min-width: 625px;
    font-size: 1.25rem;
    line-height: 2rem;
    text-align: left;
    padding-top: 30px;
  }
}

@media (min-width: 992px) and (max-width: 1500px) {
  /* Descripción - Parte fija */
  .descripcion-fija h2 {
    font-size: 4rem;
    line-height: 4.5rem;
  }

  .descripcion-fija p {
    min-width: 300px;
    width: 375px;
    padding-top: 30px;
    font-size: 1rem;
    line-height: 1.5rem;
  }

  /* Selección de club - Parte movible */
  .item {
    width: 350px;
    font-size: 2.25rem;
    line-height: 3rem;
  }

  .item .escudo {
    width: 200px;
    height: 200px;
    padding: 25px;
    margin: 30px;
  }

  .item .boton-club {
    border-radius: 30px;
    padding: 10px 100px;
    font-size: 1rem;
    line-height: 1.5rem;
  }
}

@media (max-width: 992px) {
  .only-desk {
    display: none;
  }

  .only-mobile {
    display: block;
  }

  body {
    overflow: hidden;
  }

  section {
    justify-content: initial !important;
  }

  .contenedor-seleccion {
    width: 100%;
    height: max-content;
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  /* Descripción - Parte fija */
  .descripcion-fija {
    width: 100vw;
    padding: 20px;
    text-align: center;
    background-color: #16377b;
    align-items: center;
  }

  .descripcion-fija h2 {
    font-weight: 600;
    font-size: 2rem;
    line-height: 2.5rem;
    padding: 10px;
    text-align: center;
  }

  .descripcion-fija p {
    max-width: 100vw;
    padding: 10px;
    font-size: 1rem;
    text-align: center;
  }

  /* Selección de club - Parte movible */
  .club-elegido {
    width: 100%;
  }

  .item {
    width: 100vw;
    height: 50vh;
    font-size: 1.5rem;
    line-height: 2rem;
    transform: rotate(90deg);
    margin-top: 0px;
  }

  .item h3 {
    max-width: 350px;
  }

  .item .escudo {
    height: 160px;
    width: 160px;
    padding: 30px;
    margin: 35px;
  }

  .item .boton-club {
    width: 225px;
    font-size: 1rem;
    line-height: 1.5rem;
    padding: 10px 30px;
  }
}

@media (max-height: 750px) and (max-width: 600px) {
  /* Descripción - Parte fija */
  .descripcion-fija h2 {
    font-size: 1.5rem;
    line-height: 1.5rem;
    padding: 10px;
  }

  .descripcion-fija p {
    padding: 0px;
    font-size: 0.75rem;
  }

  /* Selección de club - Parte movible */
  .item {
    font-weight: 600;
    font-size: 1.25rem;
    line-height: 1.5rem;
  }

  .item .escudo {
    height: 140px;
    width: 140px;
    padding: 25px;
    margin: 20px;
  }

  .item .boton-club {
    width: 190px;
    font-size: 0.75rem;
    line-height: 1rem;
  }
}

@media (min-width: 600px) and (max-width: 992px) {
  .contenedor-seleccion {
    height: 100%;
  }

  section {
    justify-content: initial !important;
  }

  /* Descripción - Parte fija */
  .descripcion-fija {
    padding: 30px;
  }

  .descripcion-fija h2 {
    font-weight: 600;
    font-size: 3rem;
    line-height: 3.5rem;
    padding: 20px;
  }

  .descripcion-fija p {
    max-width: 75vw;
    padding: 0px;
    padding-top: 20px;
    font-size: 1.25rem;
  }

  /* Selección de club - Parte movible */
  .club-elegido {
    width: 100%;
  }

  .item {
    width: 500px;
    font-size: 2rem;
    line-height: 2.5rem;
  }

  .item .escudo {
    height: 225px;
    width: 225px;
    padding: 30px;
    margin: 40px;
  }

  .item .boton-club {
    width: 275px;
  }
}
